Package org.springframework.http.codec.cbor

# Class KotlinSerializationCborEncoder

java.lang.Object
org.springframework.http.codec.KotlinSerializationSupport<T>
org.springframework.http.codec.KotlinSerializationBinaryEncoder<kotlinx.serialization.cbor.Cbor>
org.springframework.http.codec.cbor.KotlinSerializationCborEncoder

All Implemented Interfaces:
  `org.springframework.core.codec.Encoder<Object>`

public class KotlinSerializationCborEncoder extends KotlinSerializationBinaryEncoder<kotlinx.serialization.cbor.Cbor>
Encode from an `Object` stream to a byte stream of CBOR objects using kotlinx.serialization.

This encoder can be used to bind `@Serializable` Kotlin classes, open polymorphic serialization is not supported. It supports `application/cbor`.

Since:
  6.0
Author:
  Iain Henderson

## Constructor Summary

Constructors
Constructor
Description
`KotlinSerializationCborEncoder()`
`KotlinSerializationCborEncoder(kotlinx.serialization.cbor.Cbor cbor)`

## Method Summary

### Methods inherited from class org.springframework.http.codec.KotlinSerializationBinaryEncoder

`canEncode, encode, encodeValue, getEncodableMimeTypes, getEncodableMimeTypes`

### Methods inherited from class org.springframework.http.codec.KotlinSerializationSupport

`canSerialize, format, serializer, supportedMimeTypes`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### KotlinSerializationCborEncoder

public KotlinSerializationCborEncoder()

### KotlinSerializationCborEncoder

public KotlinSerializationCborEncoder(kotlinx.serialization.cbor.Cbor cbor)